import { Entity, PrimaryGeneratedColumn, Column, OneToMany } from "typeorm";
import { Product } from "./product.entity";

@Entity({name: 'categories'})
export class Category {
    @PrimaryGeneratedColumn()
    id!: number;

    @Column()
    title!: string

    @Column()
    description!: string

    @OneToMany(() => Product, (product) => product.category)
    products!: Product[]
}